<?php  
defined('C5_EXECUTE') or die(_("Access Denied."));

//Default values for new Mega Menu blocks.
//Setting these variables will only affect a new block that is added, not existing blocks.
//version 1.0.0
//For more details, please visit c5extras.com
//--------------------------

//animation effect when menu appears
//data type: string 
//valid values: slide,fade,bounce,elastic,back
define('JB_DEFAULT_EFFECT', "slide");

//animation speed when menu appears
//data type: integer
//valid values: 100,200,400,600,800
//notes: the smaller the number, the faster the animation
define('JB_DEFAULT_SPEED', 200);

//show sub menu on particular mouse action
//data type: string
//valid values: hover,click
define('JB_DEFAULT_MOUSEEVENT', "hover");

//apply CSS3 shadow to submenu (not available in conjunction with DIY "flat" skin)
//data type: boolean (true/false)
//valid values: 1,0
define('JB_DEFAULT_SUBMENU_SHADOW', 1);

//apply CSS3 rounded corners to bottom of submenu (not available in conjunction with DIY "flat" skin)
//data type: boolean (true/false)
//valid values: 1,0
define('JB_DEFAULT_SUBMENU_ROUNDED_CORNER', 1);

//--------------------------
//skin styling & colours
//data type: string
//valid values: gradient,flat,custom
//notes: "gradient" is for the pre-built glossy skins, "flat" is for the DIY skin builder, and "custom" is for a fully customisable advanced CSS template (for designers/developers)
define('JB_DEFAULT_SKIN_TYPE', "gradient");

//pre-built glossy skin colour option
//data type: string
//valid values: black,grey,blue,orange,red,green,light_blue,white
define('JB_DEFAULT_SKIN', "black");

//top level menu colours
//data type: string
//valid values: (any hexidecimal colour or valid HTML colour string)
//notes: some colours have a "from" and "to" to represent the linear vertical gradient. If you prefer a solid colour, just make the "from" and "to" colours the same.

//background colours
define('JB_DEFAULT_NAV_BG_COLOR_FROM', "#db1c1c");
define('JB_DEFAULT_NAV_BG_COLOR_TO', "#4d0202");

//background colours: hover
define('JB_DEFAULT_MENU_BG_HOVER_COLOR_FROM', "#735656");
define('JB_DEFAULT_MENU_BG_HOVER_COLOR_TO', "#290808");

//background colours: active menu item
define('JB_DEFAULT_MENU_ACTIVE_BG_COLOR_FROM', "#735656");
define('JB_DEFAULT_MENU_ACTIVE_BG_COLOR_TO', "#290808");

//font colour
define('JB_DEFAULT_MENU_FONT_COLOR', "#f5e831");

//font colour: hover
define('JB_DEFAULT_MENU_FONT_HOVER_COLOR', "#ffffff");

//font colour: active menu item
define('JB_DEFAULT_MENU_ACTIVE_FONT_COLOR', "#ffffff");

//border colour
define('JB_DEFAULT_MENU_BORDER_COLOR', "#949494");

//submenu colours

//submenu background colour
define('JB_DEFAULT_SUBMENU_BG_COLOR', "#ffffff");
define('JB_DEFAULT_SUBMENU_BG_COLOR_TO', "#ffffff");

//submenu item background colour: hover
define('JB_DEFAULT_SUBMENU_BG_HOVER_COLOR_FROM', "#d1d1d1");
define('JB_DEFAULT_SUBMENU_BG_HOVER_COLOR_TO', "#949494");

//font colour
define('JB_DEFAULT_SUBMENU_FONT_COLOR', "#d62222");

//font colour: hover
define('JB_DEFAULT_SUBMENU_FONT_HOVER_COLOR', "#6b6b6b");

//heading font colour
define('JB_DEFAULT_SUBMENU_HDR_FONT_COLOR', "#ffffff");

//heading font colour: hover
define('JB_DEFAULT_SUBMENU_HDR_FONT_HOVER_COLOR', "#000000");

//heading background colour
define('JB_DEFAULT_SUBMENU_HDR_BG_COLOR', "#6b6b6b");

//heading background colour: hover
define('JB_DEFAULT_SUBMENU_HDR_BG_HOVER_COLOR',"#cccccc");

//--------------------------

//number of submenus per row
//data type: integer
//valid values: 1,2,3,4,5,6,7,8,9
define('JB_DEFAULT_ROWITEMS', 4);

//dropdown force full width
//data type: boolean (true/false)
//valid values: 1,0
define('JB_DEFAULT_FULL_WIDTH', 0);

//keyboard navigation
//data type: boolean (true/false)
//valid values: 1,0
define('JB_DEFAULT_KEYBOARDNAV', 0);

//responsive support
//data type: boolean (true/false)
//valid values: 1,0
define('JB_DEFAULT_RESPONSIVESUPPORT',0);

//add to end of menu - search
//data type: boolean (true/false)
//valid values: 1,0
define('JB_DEFAULT_ADD_SEARCH',0);

//add to end of menu - login
//data type: boolean (true/false)
//valid values: 1,0
define('JB_DEFAULT_ADD_LOGIN',0);


//hamburger support
//data type: boolean (true/false)
//valid values: 1,0
define('JB_DEFAULT_ENABLEHAMBURGERSUPPORT',0);

//Breakpoint size
//data type: select
define('JB_DEFAULT_BREAKPOINTSIZE',767);

//Hamburger side
//data type: select
define('JB_DEFAULT_HAMBURGERSIDE','left');

//Hamburger size
//data type: select
define('JB_DEFAULT_HAMBURGERSIZE','medium');

//Hamburger side
define('JB_DEFAULT_HAMBURGER_COLOR','#333333');

//Hamburger side
define('JB_DEFAULT_HAMBURGER_OVERRIDE_BG_COLOR','#000000');

//Hamburger side
define('JB_DEFAULT_HAMBURGER_OVERRIDE_FONT_COLOR','#ffffff');

//Hamburger side
define('JB_DEFAULT_HAMBURGER_OVERRIDE_MENU_HOVER_COLOR','#999999');

//Hamburger side
define('JB_DEFAULT_HAMBURGERICONANIMATION','morph');

//Hamburger fix transparent background
define('JB_DEFAULT_DISABLETRANSPARENCY',0);

//hamburger position
define('JB_DEFAULT_HAMBURGERPOSITION','relative');
