<?php   
defined('C5_EXECUTE') or die(_("Access Denied."));
$form = Loader::helper('form');
$fh = Core::make('helper/form/color');
$interfaceHelper = Core::make('helper/concrete/ui');
$al = Loader::helper('concrete/asset_library');
$c = Page::getCurrentPage();
//includes default settings
$this->inc('defaults.php');

// Determine whether to use scrapbook/stacks label
$stackbook = t("Stacks");
?>
<style type="text/css">
td.inline-label label {
	width: auto;
	margin-right: 10px;
	line-height: 1.9;
}

ul#additional-area {
	list-style-type: none;
	padding: 0;
	margin: 5px 0;
	padding: 10px;
	float: left;
	width: 100%;
}

ul#additional-area li {
	float: left;
	margin-bottom: 5px;
}

ul#additional-area label {
	width: auto;
	margin-right: 5px;
	margin-left: 5px;
	float: left;
}

ul#additional-area select {
	float: left;
	height: auto;
	width: auto;
}

.add-button {
	margin-top: 20px;
}

.width-narrow {
	width: 110px !important;
}

.width-narrow2 {
	width: 80px !important;
}

.width-narrow3 { width: 50px !important; }
input.remove-area { margin-left: 10px; }
ul.additional-area li.row-item { margin-top: 5px; }
.custom-hamburger-image 
{
	display:none;
	float:none;
	clear:both;
}
</style>

<?php 
	print Loader::helper('concrete/ui')->tabs(array(
	array('style', t('Style'), true),
	array('color', t('Color')),
	array('general', t('Display')),
	array('touch', t('Touch')),
	array('menu-items', t('Menu Items')),
	array('areas', t('Extended Menu')),
	array('help', t('Help')),
));?>

<div style="padding: 10px">
	<div>
		<div class="ccm-autonavPane ccm-tab-content" id="ccm-tab-content-style">
			<div style="clear:both;"></div>
			<table class="table table-bordered">
				<tr>
					<td>
						<strong>
							<?php   echo t('Font Type Calibration'); ?>
						</strong>
					</td>
					<td>
						<?php 
							$ddoptions = array(
								0 => t('Native Font'),
								1 => t('CSS Font'),
								2 => t('Google Web Font'));
							echo $form->select('font_type', $ddoptions, $font_type);
						?>
						<br /><span class="label"><?php  echo t('This is the Font Type used on top level menus.'); ?></span>
						<span class="label label-warning">
							<?php  echo t('Important: This needs to be specified in order
											to calculate the correct position of the sub-menu.'); ?>
						</span>
					</td>
				</tr>
				<tr class="fontTypeDependent">
					<td>
						<strong>
							<?php   echo t('Font Family Calibration'); ?>
						</strong>
					</td>
					<td>
						<?php  
							echo $form->text('font_family', $font_family);
						?>
						<br />
						<span class="label"><?php  echo t('This is required if Font Type is CSS Font or Google Web Font.'); ?></span>
						<span class="label label-warning">
							<?php  echo t('Note: This is not used to change the font in the navigation <br />
											but this only serves as a way to give Mega Menu the information <br />
											so the width of the menu is calculated correctly.'); ?>
						</span>
					</td>
				</tr>
				<tr>
					<td>
						<strong>
							<?php   echo t('Drop-down Effect'); ?>
						</strong>
					</td>
					<td>
						<?php  
							$ddoptions = array(
								'slide' => t('Slide'),
								'fade' => t('Fade'),
								'bounce' => t('Bounce'),
								'elastic' => t('Elastic'),
								'back' => t('Ease Back')
							);
							echo $form->select('effect', $ddoptions, ($info['effect'] ? $info['effect'] : JB_DEFAULT_EFFECT));
						?>
					</td>
				</tr>
				<tr>
					<td>
						<strong>
							<?php   echo t('Effect Speed'); ?>
						</strong>
					</td>
					<td>
						<?php  
						$speedoptions = array(
												'100' => t('Very Fast'),
												'200' => t('Fast'),
												'400' => t('Normal'),
												'600' => t('Slow'),
												'800' => t('Very Slow')
											);
						echo $form->select('speed', $speedoptions, ($info['speed'] ? $info['speed'] : JB_DEFAULT_SPEED));
						?>
					</td>
				</tr>
				<tr>
					<td>
						<strong>
							<?php   echo t('Show Drop-Down Menu')?>
						</strong>
					</td>
					<td>
						<?php  
							$mouseoptions = array(
													'hover' => t('On Mouse Hover'),
													'click' => t('On Mouse Click')
												);
							echo $form->select('mouseevent', $mouseoptions, ($info['mouseevent'] ? $info['mouseevent'] : JB_DEFAULT_MOUSEEVENT));
						?>
					</td>
				</tr>
				<tr>
					<td>
						<strong>
							<?php   echo t('Redirect On 2nd click/tap')?>
						</strong>
					</td>
					<td>
						<?php  
							echo $form->checkbox('navigate_on_collapse', 1, $info['navigate_on_collapse']);
							echo '<br />';
							echo t('If this is checked this will allow redirection on the parent menu if
									it is tapped/clicked twice or when it is collapsed.
									This is useful for mobile devices.');
						?>
					</td>
				</tr>
				<tr>
					<td>
						<strong>
							<?php   echo t('Drop-Down Direction')?>
						</strong>
					</td>
					<td>
						<?php  
							$selections = array(
								'down' => t('Down'),
								'up' => t('Up'),
							);
							echo $form->select('dropdown_direction', $selections, $info['dropdown_direction']);
						?>
					</td>
				</tr>
				<tr class="noncustom">
					<td>
						<strong>
							<?php   echo t('Drop-down Shadow'); ?>
						</strong>
					</td>
					<td>
						<?php  
							$shadow = $info['submenu_shadow'] == null ? JB_DEFAULT_SUBMENU_SHADOW : $info['submenu_shadow'];
						?>
						<?php   echo $form->checkbox('submenu_shadow', 1, $shadow); ?>
						<?php   echo t('Displays shadow on Drop-down menu.'); ?>
					</td>
				</tr>
				<tr class="noncustom">
					<td>
						<strong>
							<?php   echo t('Drop-down Rounded Corner'); ?>
						</strong>
					</td>
					<td>
						<?php  
							$rounded = $info['submenu_rounded_corner'] == null ? JB_DEFAULT_SUBMENU_ROUNDED_CORNER : $info['submenu_rounded_corner'];
						?>
						<?php   echo $form->checkbox('submenu_rounded_corner', 1, $rounded); ?>
						<?php   echo t('Displays Drop-down menu with rounded corners.'); ?>
					</td>
				</tr>
			</table>
		</div><!-- ccm-style-tab -->
		
		<div class="ccm-autonavPane ccm-tab-content" id="ccm-tab-content-color">
			<div style="clear:both;"></div>
			<table class="table table-bordered">
				<tr>
					<td style="width:160px"><strong><?php   echo t('Skin Type')?></strong></td>
					<td>
						<?php  
						$skintypeoptions = array(
													'gradient'	=>	t('Pre-built (Glossy)'),
													'flat'	=>	t('Make My Own Gradient'),
													'custom'	=>	t('Custom (Advanced)')
												);
						echo $form->select('skin_type', $skintypeoptions, ($info['skin_type'] ? $info['skin_type'] : JB_DEFAULT_SKIN_TYPE));
						?>
					</td>
				</tr>
				<tr class="customcss">
					<td><strong><?php   echo t('Custom CSS')?></strong></td>
					<td>
						<?php 
						$customCssFilePath = DIR_PACKAGES.'/jb_megamenu/'.DIRNAME_BLOCKS.'/jb_megamenu/custom.css';
						$defaultcustomcss = file_exists($customCssFilePath) ? file_get_contents($customCssFilePath) : '';
						if ($info['skin_type']=="custom" && $info['custom_css'] == ""){
							//deliberately blank
							$showcustcss = "";
						}
						else{
							$showcustcss = empty($info['custom_css'])?$defaultcustomcss:$info['custom_css'];
						}
						
						//if (!$defaultcustomcss){$defaultcustomcss='\/\* write your CSS code here \*\/';}
						echo $form->textarea('custom_css', $showcustcss, array('style' => 'width: 640px;height:200px;'));
						echo "<BR><em>".t("Please note: you may need to refresh the page after saving custom CSS code changes for them to be reflected.")."</em>";
						?>
					</td>
				</tr>
				<tr class="gradient">
					<td><strong><?php   echo t('Skin')?></strong></td>
					<td>
						<?php  
						$skinoptions = array(
							'black' => t('Black'),
							'grey' => t('Grey'),
							'blue' => t('Blue'),
							'orange' => t('Orange'),
							'red' => t('Red'),
							'green' => t('Green'),
							'light_blue' => t('Light Blue'),
							'white' => t('White')
						);
						echo $form->select('skin', $skinoptions, ($info['skin'] ? $info['skin'] : JB_DEFAULT_SKIN));
						?>
					</td>
				</tr>
				<tr class="flat">
					<td colspan="2">
						<h3 style="text-align: center;"><?php  echo t('Top Level Menu'); ?></h3>
					</td>
				</tr>
				<tr class="flat">
					<td><strong><?php   echo t('Background Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$nav_from = $info['nav_bg_color_from'] == null ? JB_DEFAULT_NAV_BG_COLOR_FROM : $info['nav_bg_color_from'];
						$nav_to = $info['nav_bg_color_to'] == null ? JB_DEFAULT_NAV_BG_COLOR_TO : $info['nav_bg_color_to'];
						echo $fh->output('nav_bg_color_from', $nav_from).t(' From').'<br /><br />';
						echo $fh->output('nav_bg_color_to', $nav_to).t(' To');
						?>
					</td>
				</tr>
				<tr class="flat">
					<td><strong><?php   echo t('Hover Background Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$nav_hover_from = $info['menu_bg_hover_color_from'] == null ? JB_DEFAULT_MENU_BG_HOVER_COLOR_FROM : $info['menu_bg_hover_color_from'];
						$nav_hover_to = $info['menu_bg_hover_color_to'] == null ? JB_DEFAULT_MENU_BG_HOVER_COLOR_TO : $info['menu_bg_hover_color_to'];
						echo $fh->output('menu_bg_hover_color_from',$nav_hover_from).t(' From').'<br /><br />';
						echo $fh->output('menu_bg_hover_color_to',$nav_hover_to).t(' To');
						?>
					</td>
				</tr>
				<tr class="flat">
					<td><strong><?php   echo t('Font Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$nav_font_color = $info['menu_font_color'] == null ? JB_DEFAULT_MENU_FONT_COLOR : $info['menu_font_color'];
						echo $fh->output('menu_font_color', $nav_font_color).t(' Base').'<br /><br />';
						$nav_font_hover_color = $info['menu_font_hover_color'] == null ? JB_DEFAULT_MENU_FONT_HOVER_COLOR : $info['menu_font_hover_color'];
						echo $fh->output('menu_font_hover_color', $nav_font_hover_color).t(' Hover');
						?>
					</td>
				</tr>
				<tr class="flat">
					<td><strong><?php   echo t('Active Menu Background Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$nav_hover_from = $info['menu_active_bg_color_from'] == null ? JB_DEFAULT_MENU_ACTIVE_BG_COLOR_FROM : $info['menu_active_bg_color_from'];
						$nav_hover_to = $info['menu_active_bg_color_to'] == null ? JB_DEFAULT_MENU_ACTIVE_BG_COLOR_TO : $info['menu_active_bg_color_to'];
						echo $fh->output('menu_active_bg_color_from', $nav_hover_from).t(' From').'<br /><br />';
						echo $fh->output('menu_active_bg_color_to', $nav_hover_to).t(' To');
						?>
					</td>
				</tr>
				<tr class="flat">
					<td><strong><?php   echo t('Active Menu Font Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$default = $info['menu_active_font_color'] == null ? JB_DEFAULT_MENU_ACTIVE_FONT_COLOR : $info['menu_active_font_color'];
						echo $fh->output('menu_active_font_color',$default);
						?>
					</td>
				</tr>
				<tr class="flat">
					<td><strong><?php   echo t('Border Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$nav_border_color = $info['menu_border_color'] == null ? JB_DEFAULT_MENU_BORDER_COLOR : $info['menu_border_color'];
						echo $fh->output('menu_border_color', $nav_border_color);
						?>
					</td>
				</tr>
				<tr class="dropdownstyle">
					<td colspan="2">
						<h3 style="text-align: center;"><?php  echo t('Drop-down Menu'); ?></h3>
					</td>
				</tr>
				<tr class="dropdownstyle">
					<td><strong><?php   echo t('Background Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$sm_bg_from = $info['submenu_bg_color'] == null ? JB_DEFAULT_SUBMENU_BG_COLOR : $info['submenu_bg_color'];
						$sm_bg_to = $info['submenu_bg_color_to'] == null ? JB_DEFAULT_SUBMENU_BG_COLOR_TO : $info['submenu_bg_color_to'];
						echo $fh->output('submenu_bg_color', $sm_bg_from).t(' From').'<br /><br />';
						echo $fh->output('submenu_bg_color_to', $sm_bg_to).t(' To');
						?>
					</td>
				</tr>
				<tr class="dropdownstyle">
					<td><strong><?php   echo t('Background Hover Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$sm_bg_hover_from = $info['submenu_bg_hover_color_from'] == null ? JB_DEFAULT_SUBMENU_BG_HOVER_COLOR_FROM : $info['submenu_bg_hover_color_from'];
						$sm_bg_hover_to = $info['submenu_bg_hover_color_to'] == null ? JB_DEFAULT_SUBMENU_BG_HOVER_COLOR_TO : $info['submenu_bg_hover_color_to'];
						echo $fh->output('submenu_bg_hover_color_from', $sm_bg_hover_from).t(' From').'<br /><br />';
						echo $fh->output('submenu_bg_hover_color_to', $sm_bg_hover_to).t(' To');
						?>
					</td>
				</tr>
				<tr class="dropdownstyle">
					<td><strong><?php   echo t('Font Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$sm_font_color = $info['submenu_font_color'] == null ? JB_DEFAULT_SUBMENU_FONT_COLOR : $info['submenu_font_color'];
						echo $fh->output('submenu_font_color', $sm_font_color).t(' Base').'<br /><br />';
						$default = $info['submenu_font_hover_color'] == null ? JB_DEFAULT_SUBMENU_FONT_HOVER_COLOR : $info['submenu_font_hover_color'];
						echo $fh->output('submenu_font_hover_color', $default).t(' Hover');
						?>
					</td>
				</tr>
				<tr class="dropdownstyle">
					<td><strong><?php   echo t('Header Menu Font Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$default = $info['submenu_hdr_font_color'] == null ? JB_DEFAULT_SUBMENU_HDR_FONT_COLOR : $info['submenu_hdr_font_color'];
						echo $fh->output('submenu_hdr_font_color', $default).t(' Base').'<br /><br />';
						$default = $info['submenu_hdr_font_hover_color'] == null ? JB_DEFAULT_SUBMENU_HDR_FONT_HOVER_COLOR : $info['submenu_hdr_font_hover_color'];
						echo $fh->output('submenu_hdr_font_hover_color', $default).t(' Hover');
						?>
					</td>
				</tr>
				<tr class="dropdownstyle">
					<td><strong><?php   echo t('Header Menu Background Color')?></strong></td>
					<td class="inline-label">
						<?php  
						$default = $info['submenu_hdr_bg_color'] == null ? JB_DEFAULT_SUBMENU_HDR_BG_COLOR : $info['submenu_hdr_bg_color'];
						echo $fh->output('submenu_hdr_bg_color', $default).t(' Base').'<br /><br />';
						$default = $info['submenu_hdr_bg_hover_color'] == null ? JB_DEFAULT_SUBMENU_HDR_BG_HOVER_COLOR : $info['submenu_hdr_bg_hover_color'];
						echo $fh->output('submenu_hdr_bg_hover_color', $default).t(' Hover');
						?>
					</td>
				</tr>
			</table>
		</div><!-- ccm-color-tab -->
		
		<div class="ccm-autonavPane ccm-tab-content" id="ccm-tab-content-general">
			<div style="clear:both;"></div>
			<input type="hidden" name="autonavCurrentCID" value="<?php   echo $c->getCollectionID()?>" />
			<table class="table table-bordered">
				<?php  
					$form = Loader::helper('form');
				?>
				<tr>
					<td><strong><?php   echo t('Number of Submenus Per Row')?></strong></td>
					<td>
						<?php  
						$rowitemoptions = array(1=>1,2=>2,3=>3,4=>4,5=>5,6=>6,7=>7,8=>8,9=>9,99=>t('Auto'));
						echo $form->select('rowitems', $rowitemoptions, ($info['rowitems'] ? $info['rowitems'] : JB_DEFAULT_ROWITEMS));
						?>
					</td>
				</tr>
				<tr>
					<td><strong><?php   echo t('Drop-Down Force Full Width')?></strong></td>
					<td>
						<?php  
						$full_width = $info['full_width'] == null ? JB_DEFAULT_FULL_WIDTH : $info['full_width'];
						echo $form->checkbox('full_width', 1,$full_width);
						?>
						<?php  
						echo t('(submenu lists are left aligned)') . '&nbsp;&nbsp;';
						?>
					</td>
				</tr>
				<tr>
					<td><strong><?php   echo t('Keyboard Navigation (Access Keys)')?></strong></td>
					<td>
						<?php  
						echo $form->checkbox('keyboardnav', 1, ($info['keyboardnav'] ? $info['keyboardnav'] : JB_DEFAULT_KEYBOARDNAV));
						?>
					</td>
				</tr>
				
				
				<tr>
					<td><strong><?php   echo t('Add to End of Menu')?></strong></td>
					<td>
						<?php  
						echo $form->checkbox('add_search', 1,($info['add_search'] ? $info['add_search'] : JB_DEFAULT_ADD_SEARCH));
						?>
						<?php  
						echo t('Site Search') . '&nbsp;&nbsp;';
						?>
						<span class="label">
							<?php  echo t('If the Search Result page is not found follow the link below for a how-to on creating the Search Result page.'); ?>
						</span>
						<br />
						<a href="http://www.concrete5.org/marketplace/addons/mega-menu/documentation/" target="_blank">
							<?php  echo t('How To: Creating the Search Result page.'); ?> 
						</a>
					</td>
				</tr>
			</table>
		</div><!-- ccm-general-tab -->
        
        <div class="ccm-autonavPane ccm-tab-content" id="ccm-tab-content-touch">
			<div style="clear:both;"></div>
			
			<table class="table table-bordered">
        <?php  
					$form = Loader::helper('form');
				?>
        <tr>
          <td><strong>
            <?php   echo t('Responsive Support')?>
            </strong></td>
          <td><?php  
						echo $form->checkbox('responsivesupport', 1, ($info['responsivesupport'] ? $info['responsivesupport'] : JB_DEFAULT_RESPONSIVESUPPORT));
						?>
            <?php  
						echo t('(convert to vertical menu on smaller/mobile devices)') . '&nbsp;&nbsp;';
						?></td>
        </tr>
        <tr>
          <td><strong>
            <?php   echo t('Enable hamburger Support')?>
            </strong></td>
          <td><?php  
						echo $form->checkbox('enableHamburgerSupport', 1, ($info['enableHamburgerSupport'] ? $info['enableHamburgerSupport'] : JB_DEFAULT_ENABLEHAMBURGERSUPPORT));
						?></td>
        </tr>
        
        <tr>
          <td><strong>
            <?php   echo t('Breakpoint size'); ?>
            </strong></td>
          <td><?php  
							$bsoptions = array(
								'575' => t('575px (extra small devices)'),
								'767' => t('767px (small devices)'),
								'991' => t('991px (medium devices)'),
								'1199' => t('1199px (large devices)'),
								'9999'=>t('Always show')
							
							);
							echo $form->select('breakpointSize', $bsoptions, ($info['breakpointSize'] ? $info['breakpointSize'] : JB_DEFAULT_BREAKPOINTSIZE));
						?></td>
        </tr>
        <tr>
          <td><strong>
            <?php   echo t('Hamburger side'); ?>
            </strong></td>
          <td><?php  
							$hsoptions = array(
								'left' => t('Left'),
								'right' => t('Right')
							);
							echo $form->select('hamburgerSide', $hsoptions, ($info['hamburgerSide'] ? $info['hamburgerSide'] : JB_DEFAULT_HAMBURGERSIDE));
						?></td>
        </tr>
         <tr>
          <td><strong>
            <?php   echo t('Hamburger size'); ?>
            </strong></td>
          <td><?php  
							$hsoptions = array(
								'small' => t('Small'),
								'medium' => t('Medium'),
								'large'=> t('Large')
							);
							echo $form->select('hamburgerSize', $hsoptions, ($info['hamburgerSize'] ? $info['hamburgerSize'] : JB_DEFAULT_HAMBURGERSIZE));
						?></td>
        </tr>
        <tr>
          <td><strong>
            <?php   echo t('Hamburger color')?>
            </strong></td>
          <td class="inline-label"><?php  
						$default = $info['hamburger_color'] == null ? JB_DEFAULT_HAMBURGER_COLOR : $info['hamburger_color'];
						echo $fh->output('hamburger_color',$default);
						?></td>
        </tr>
        <tr>
          <td><strong>
            <?php   echo t('Override menu background colour')?>
            </strong></td>
          <td class="inline-label"><?php  
						$default = $info['hamburger_override_background_color'] == null ? JB_DEFAULT_HAMBURGER_OVERRIDE_BG_COLOR : $info['hamburger_override_background_color'];
						echo $fh->output('hamburger_override_background_color',$default);
						?></td>
        </tr>
        <tr>
          <td><strong>
            <?php   echo t('Override menu text colour')?>
            </strong></td>
          <td class="inline-label"><?php  
						$default = $info['hamburger_override_font_color'] == null ? JB_DEFAULT_HAMBURGER_OVERRIDE_FONT_COLOR : $info['hamburger_override_font_color'];
						echo $fh->output('hamburger_override_font_color', $default);
						?></td>
        </tr>
        <tr>
          <td><strong>
            <?php   echo t('Override menu hover colour')?>
            </strong></td>
          <td class="inline-label"><?php  
						$default = $info['hamburger_override_menu_hover_color'] == null ? JB_DEFAULT_HAMBURGER_OVERRIDE_MENU_HOVER_COLOR : $info['hamburger_override_menu_hover_color'];
						echo $fh->output('hamburger_override_menu_hover_color', $default);
						?></td>
        </tr>
        <tr>
          <td><strong>
            <?php   echo t('Hamburger icon animation'); ?>
            </strong></td>
          <td><?php  
		  $hamburgerIconAnimationfIDo=null;
		  $args=array();
		  if($info['hamburgerIconAnimationfID']>0 && is_object(File::getByID($info['hamburgerIconAnimationfID']))){
			  $hamburgerIconAnimationfIDo=File::getByID($info['hamburgerIconAnimationfID']);
		  }
		  
							$hiaoptions = array(
								'slide_left' => t('Slide Left'),
								'slide_in' => t('Slide In'),
								'morph' => t('Morph'),
								'custom' => t('Custom'),
							);
							echo $form->select('hamburgerIconAnimation', $hiaoptions, ($info['hamburgerIconAnimation'] ? $info['hamburgerIconAnimation'] : JB_DEFAULT_HAMBURGERICONANIMATION),array('onchange'=>"toggleHamburgerIconAnimation(this.value)"));
						?>&nbsp;&nbsp;<div class="custom-hamburger-image"><?php echo $al->image('ccm-b-image-animation', 'hamburgerIconAnimationfID', t('Choose Custom hamburger Image'), $hamburgerIconAnimationfIDo, $args);?></div></td>
        </tr>
        <tr>
          <td><strong>
            <?php   echo t('Hamburger position'); ?>
            </strong></td>
          <td><?php  
							$hpoptions = array(
								'relative' => t('Relative'),
								'absolute' => t('Absolute')
							);
							echo $form->select('hamburgerPosition', $hpoptions, ($info['hamburgerPosition'] ? $info['hamburgerPosition'] : JB_DEFAULT_HAMBURGERPOSITION));
						?>
						<BR>
						(<?php   echo t('If Absolute is chosen it will only be active when logged out to avoid interference with the editor toolbar.'); ?>)
						</td>
        </tr>
       
       
       <tr>
          <td><strong>
            <?php   echo t('Disable transparency fix')?>
            </strong></td>
          <td><?php  
						echo $form->checkbox('disabletransparency', 1, ($info['disabletransparency'] ? $info['disabletransparency'] : JB_DEFAULT_DISABLETRANSPARENCY));
						?>
						<?php   echo "(" . t('Only enable if your theme has transparent background') . ")"; ?>
						</td>
        </tr>
      </table>
		</div><!-- ccm-touch-tab -->

		<div class="ccm-autonavPane ccm-tab-content" id="ccm-tab-content-menu-items">
			<div style="clear:both;"></div>
			<table class="table table-bordered">
				<tr>
					<td><strong><?php   echo t('Pages Should Appear')?></strong></td>
					<td>
						<select name="orderBy">
							<option value="display_asc" <?php    if ($info['orderBy'] == 'display_asc') { ?> selected<?php    } ?>><?php   echo t('in their sitemap order.')?></option>
							<option value="chrono_desc" <?php    if ($info['orderBy'] == 'chrono_desc') { ?> selected<?php    } ?>><?php   echo t('with the most recent first.')?></option>
							<option value="chrono_asc" <?php    if ($info['orderBy'] == 'chrono_asc') { ?> selected<?php    } ?>><?php   echo t('with the earliest first.')?></option>
							<option value="alpha_asc" <?php    if ($info['orderBy'] == 'alpha_asc') { ?> selected<?php    } ?>><?php   echo t('in alphabetical order.')?></option>
							<option value="alpha_desc" <?php    if ($info['orderBy'] == 'alpha_desc') { ?> selected<?php    } ?>><?php   echo t('in reverse alphabetical order.')?></option>
							<option value="display_desc" <?php    if ($info['orderBy'] == 'display_desc') { ?> selected<?php    } ?>><?php   echo t('in reverse sitemap order.')?></option>
						</select>
					</td>
				</tr>
				<tr>
					<td><strong><?php   echo t('Viewing Permissions')?></strong></td>
					<td>
						<?php   echo $form->checkbox('displayUnavailablePages', 1, $info['displayUnavailablePages']); ?>
						<?php   echo t('Display pages to users even when those users cannot access those pages.')?>
					</td>
				</tr>
				<tr>
					<td><strong><?php   echo t('Display Pages')?></strong></td>
					<td>
						<select name="displayPages" onchange="toggleCustomPage(this.value)">
							<option value="top"<?php    if ($info['displayPages'] == 'top') { ?> selected<?php    } ?>><?php   echo t('at the top level.')?></option>
							<option value="second_level"<?php    if ($info['displayPages'] == 'second_level') { ?> selected<?php    } ?>><?php   echo t('at the second level.')?></option>
							<option value="third_level"<?php    if ($info['displayPages'] == 'third_level') { ?> selected<?php    } ?>><?php   echo t('at the third level.')?></option>
							<option value="above"<?php    if ($info['displayPages'] == 'above') { ?> selected<?php    } ?>><?php   echo t('at the level above.')?></option>
							<option value="current"<?php    if ($info['displayPages'] == 'current') { ?> selected<?php    } ?>><?php   echo t('at the current level.')?></option>
							<option value="below"<?php    if ($info['displayPages'] == 'below') { ?> selected<?php    } ?>><?php   echo t('At the level below.')?></option>
							<option value="custom"<?php    if ($info['displayPages'] == 'custom') { ?> selected<?php    } ?>><?php   echo t('Beneath a particular page')?></option>
						</select>
						<div id="ccm-autonav-page-selector"<?php    if ($info['displayPages'] != 'custom') { ?> style="display: none"<?php    } ?>>
						<?php    $form = Loader::helper('form/page_selector');
							print $form->selectPage('displayPagesCID', $info['displayPagesCID']);
						?>
						</div>
					</td>
				</tr>
				<tr>
					<td><strong><?php   echo t('Sub Pages to Display')?></strong></td>
					<td>
						<select name="displaySubPages" onchange="toggleSubPageLevels(this.value);">
							<option value="all"<?php    if ($info['displaySubPages'] == 'all') { ?> selected<?php    } ?>><?php   echo t('Display all.')?></option>
							<option value="none"<?php    if ($info['displaySubPages'] == 'none') { ?> selected<?php    } ?>><?php   echo t('None')?></option>
						</select>
					</td>
				</tr>
				<tr>
					<td><strong><?php   echo t('Sub-Page Levels')?></strong></td>
					<td>
						<select id="displaySubPageLevels" name="displaySubPageLevels" <?php    if ($info['displaySubPages'] == 'none') { ?> disabled <?php    } ?> onchange="toggleSubPageLevelsNum(this.value);">
							<option value="all"<?php    if ($info['displaySubPageLevels'] == 'all') { ?> selected<?php    } ?>><?php   echo t('Display all.')?></option>
							<option value="enough"<?php    if ($info['displaySubPageLevels'] == 'enough') { ?> selected<?php    } ?>><?php   echo t('Display sub pages to current.')?></option>
							<option value="enough_plus1"<?php    if ($info['displaySubPageLevels'] == 'enough_plus1') { ?> selected<?php    } ?>><?php   echo t('Display sub pages to current +1.')?></option>
							<option value="custom"<?php    if ($info['displaySubPageLevels'] == 'custom') { ?> selected<?php    } ?>><?php   echo t('Display a custom amount.')?></option>
						</select>
						<div id="divSubPageLevelsNum"<?php    if ($info['displaySubPageLevels'] != 'custom') { ?> style="display: none"<?php    } ?>>
							<br />
							<input type="text" name="displaySubPageLevelsNum" value="<?php   echo $info['displaySubPageLevelsNum']?>" style="width: 30px; vertical-align: middle">
							&nbsp;<?php   echo t('levels')?>
						</div>
					</td>
				</tr>
			</table>
		</div><!-- ccm-menu-items-tab -->
		
		<div class="ccm-autonavPane ccm-tab-content" id="ccm-tab-content-areas">
			<div style="clear:both;"></div>
			<?php  
				if ( $mode == 'add' ) {
			?>
				<p style="color: red">
				<?php  echo
					t('Note: You can extend your Mega Menu once you have added the
					block to the page. Then come back and edit this block to add %s
					items into your menu.', $stackbook); ?>
				</p>
			<?php   } else { ?>
				<p>
					<?php  echo t('Add %s elements to any submenu, then choose it\'s position.<br />
					<em>Tip: You can add multiple elments to the same submenu.', $stackbook); ?></em>
				</p>
			<?php   } ?>
			<ul id="additional-area">
				<?php  
					$i = 0;
					$areaSet = $controller->getAreaSet();
					if ( $areaSet ) {
						foreach ( $areaSet as $area ) {
				?>
						<li class="area-<?php   echo $i;?> row-item">
							<label>
								<?php   echo t('Parent Menu'); ?>
							</label>
							<?php  
								$class = array('class'=>'width-narrow');
								$firstLevelMenus = $controller->getCurrentFirstLevelMenus();
								$form = Loader::helper('form');
								echo $form->select('areaParentMenu_'.$i, $firstLevelMenus, $area['areaParentMenu'], $class);
							?>
							<label>
								<?php 
									echo t('Stacks');
								?>
							</label>
							<?php  
								$containerList = $controller->getBlockContainerList();
								echo $form->select('areaContainer_'.$i, $containerList, $area['areaContainer']);
							?>
							<label>
								<?php   echo t('Position'); ?>
							</label>
							<?php  
								$positionList = array(
														'top'=>t('Top'),
														'right'=>t('Right'),
														'bottom'=>t('Bottom'),
														'left'=>t('Left'),
													);
								echo $form->select('areaPosition_'.$i, $positionList, $area['areaPosition'], $class);
							?><input class="remove-area btn error" 
									type="button" 
									id="area-<?php   echo $i;?>" 
									name="remove-<?php   echo $i;?>" 
									onclick="area.linkRemove(this)"
									value="Remove" />
						</li>
				<?php  
						$i++;
						}
					}
				?>
			</ul>
			
			<?php  
				$args = array();
				if ( $mode == 'add' ) {
					$args['disabled'] = 'disabled';
				}
				echo $interfaceHelper->button_js(
													t('Add Element'), 
													'area.linkAddNew()', 
													'left', 
													'add-button',
													$args
													);
			?>
			
		</div><!-- ccm-areas-tab -->
		
		<div class="ccm-autonavPane ccm-tab-content" id="ccm-tab-content-help">
			
			<h2><?php  echo t('Extended Menu:'); ?></h2>
			<p>
				<?php  echo t('You can add %s elements to any submenu.
				Some useful tips on how to use this feature: 
				<ul>
					<li>add a contact form</li>
					<li>add a photo</li>
					<li>add formatted text with links</li>
					<li>or even add a search form</li>
				</ul>
				...it will work with many blocks. And you are not limited to just 1 element per submenu,
				you can add as many as you wish with any position combination.
				Please note, due to limitations in HTML, a block that displays an "embed" element (such as a Flash video)
				or "script" element will not work correctly within a navigation menu.', $stackbook); ?>
			</p>

			<h2><?php  echo t('Using Custom Skin:'); ?></h2>
			<p>
				<?php  echo t('The new custom CSS editor makes it easier for designers to customise the
				styling just they way they like it. Any changes you make will not be overwritten when the
				package is updated to a newer version, and no more copying & pasting code to your theme\'s
				CSS file. It\'s much easier now! By default, the skeleton CSS code provided makes use of the images in:<br />
				<code>/packages/jb_megamenu/blocks/jb_megamenu/css/skins/images</code><br/>
				However, you can use your own images if you wish. If using your own images, it is recommended
				that you place them in your active theme folder.'); ?>
			</p>

		</div>
	</div><!-- <div class="ccm-ui"> -->
</div>

<script type="text/javascript">
var linkRemoveConfirm = '<?php  echo t('This action cannot be undone after the changes have been saved.'); ?>';
var fontTypeDependent = function() {
	if ( $('#font_type').val() == 1 
		|| $('#font_type').val() == 2 ) {
		$('.fontTypeDependent').show();
	} else {
		$('.fontTypeDependent').hide();
	}
}
$(function() {
	
	$('#responsivesupport').click(function(){
		if($(this).is(':checked')){
			$('#enableHamburgerSupport').prop('checked',false);
		}
		});
	$('#enableHamburgerSupport').click(function(){
		if($(this).is(':checked')){
			$('#responsivesupport').prop('checked',false);
		}
		});	
		
	var toggleSkinType = function() {
		if ( $('#skin_type').val() == 'gradient' ) {
			$('tr.flat').hide();
			$('tr.gradient').show();
			$('tr.customcss').hide();
			$('tr.dropdownstyle').show();
			$('tr.noncustom').show();
		} else if ( $('#skin_type').val() == 'custom' ){
			$('tr.flat').hide();
			$('tr.gradient').hide();
			$('tr.customcss').show();
			$('tr.dropdownstyle').hide();
			$('tr.noncustom').hide();
		} else {
			$('tr.flat').show();
			$('tr.gradient').hide();
			$('tr.customcss').hide();
			$('tr.dropdownstyle').show();
			$('tr.noncustom').show();
		}
	}

	fontTypeDependent();
	$('#font_type').change(function() {
		fontTypeDependent();
	});
	
	toggleSkinType();
	$('#skin_type').change(function(){
		toggleSkinType();
	});

	var showPane = function() {
		$('ul#ccm-formblock-tabs li').each(function (num, el) {
            $(el).removeClass('active')
        });
        $(document.getElementById('ccm-formblock-tab-' + pane).parentNode).addClass('active');
        $('div.ccm-formBlockPane').each(function (num, el) {
            el.style.display = 'none';
        });
        $('#ccm-formBlockPane-' + pane).css('display', 'block');
	}

    $('ul#ccm-formblock-tabs li a').each(function (num, el) {
        el.onclick = function () {
            var pane = this.id.replace('ccm-formblock-tab-', '');
            showPane(pane);
        }
    });
	toggleHamburgerIconAnimation($('#hamburgerIconAnimation').val());
});

var area = {
	linkRemove: function(e) {
		var el = e.id;
		if (confirm(linkRemoveConfirm)) {
			$('li.'+el).remove();
		}
	},
	linkAddNew: function() {
		<?php   
			$class = array('class'=>'width-narrow'); 
			$firstLevelMenus = $controller->getCurrentFirstLevelMenus();
			$input1 = '';
			foreach( $firstLevelMenus as $key=>$val) {
				$input1 .= '<option value="'.$key.'">'.htmlentities($val, ENT_QUOTES).'</option>';
			}
			$containerList = $controller->getBlockContainerList();
			$input2 = '';
			foreach( $containerList as $container) {
				$cleanedcontainer = str_replace("'","",$container);
				$cleanedcontainer = str_replace('"',"",$cleanedcontainer);
				$input2 .= '<option value="'.$cleanedcontainer.'">'.$cleanedcontainer.'</option>';
			}
			$positionList = array(
									'top'=>t('Top'),
									'right'=>t('Right'),
									'bottom'=>t('Bottom'),
									'left'=>t('Left'),
								);
			$input3 = '';
			foreach ( $positionList as $key=>$val ) {
				$input3 .= '<option value="'.$key.'">'.htmlentities($val, ENT_QUOTES).'</option>';
			}
			$label2 = $stackbook;
		?>
		var count = $('#additional-area li').length;
		var input;
			input = '<label>'+'<?php   echo t("Parent Menu"); ?>'+'</label> ';
			input += '<select name="areaParentMenu_'+count+'" class="width-narrow">'+'<?php   echo $input1; ?>'+'</select>';
			input += '<label>'+'<?php   echo $label2; ?>'+'</label> ';
			input += '<select name="areaContainer_'+count+'">'+'<?php   echo $input2; ?>'+'</select>';
			input += '<label><?php   echo t("Position"); ?></label> ';
			input += '<select name="areaPosition_'+count+'" class="width-narrow">'+'<?php   echo $input3; ?>'+'</select>';
			input += '<input class="remove-area btn error" type="button" id="area-'+count+'" name="remove-'+count+'" onclick="area.linkRemove(this)" value="Remove" />';
		$('ul#additional-area').append('<li class="area-'+count+' row-item">'+input+'</li>');
	}
} 
</script>
