<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));

if ( Page::getCurrentPage()->isEditMode() ):
?>
<div style="background: #ccc;color: #fff;padding: 10px;text-align: center;font-weight: bold;">
	<?php  echo t('Content disabled in edit mode because scripts need to be applied.'); ?>
</div>
<?php  else: ?>
<style type="text/css">
	<?php 
		if ( $controller->skin_type == 'custom' ) {
			ob_start();
			$this->inc('inc/customcss.php', array('bID'=>intval($bID)));
			$content = ob_get_clean();
			echo $content;
		} else {
			ob_start();
			$this->inc('inc/standardcss.php', array('bID'=>intval($bID)));
			$content = ob_get_clean();
			echo $content;
		}
		
		//if ($controller->font_type == 2 || $controller->font_type == 1){
			echo 'ul#mega-menuh-'.$bID.'{font-family:'.$controller->font_family.',helvetica,arial,sans-serif;}';
		//}
	?>
</style>
<?php 
$navItems = $controller->getNavItems();

/**
 * The $navItems variable is an array of objects, each representing a nav menu item.
 * It is a "flattened" one-dimensional list of all nav items -- it is not hierarchical.
 * However, a nested nav menu can be constructed from this "flat" array by
 * looking at various properties of each item to determine its place in the hierarchy
 * (see below, for example $navItem->level, $navItem->subDepth, $navItem->hasSubmenu, etc.)
 *
 * Items in the array are ordered with the first top-level item first, followed by its sub-items, etc.
 *
 * Each nav item object contains the following information:
 *	$navItem->url        : URL to the page
 *	$navItem->name       : page title (already escaped for html output)
 *	$navItem->target     : link target (e.g. "_self" or "_blank")
 *	$navItem->level      : number of levels deep the current menu item is from the top (top-level nav items are 1, their sub-items are 2, etc.)
 *	$navItem->subDepth   : number of levels deep the current menu item is *compared to the next item in the list* (useful for determining how many <ul>'s to close in a nested list)
 *	$navItem->hasSubmenu : true/false -- if this item has one or more sub-items (sometimes useful for CSS styling)
 *	$navItem->isFirst    : true/false -- if this is the first nav item *in its level* (for example, the first sub-item of a top-level item is TRUE)
 *	$navItem->isLast     : true/false -- if this is the last nav item *in its level* (for example, the last sub-item of a top-level item is TRUE)
 *	$navItem->isCurrent  : true/false -- if this nav item represents the page currently being viewed
 *	$navItem->inPath     : true/false -- if this nav item represents a parent page of the page currently being viewed (also true for the page currently being viewed)
 *	$navItem->attrClass  : Value of the 'nav_item_class' custom page attribute (if it exists and is set)
 *	$navItem->isHome     : true/false -- if this nav item represents the home page
 *	$navItem->cID        : collection id of the page this nav item represents
 *	$navItem->cObj       : collection object of the page this nav item represents (use this if you need to access page properties and attributes that aren't already available in the $navItem object)
 */


/** For extra functionality, you can add the following page attributes to your site (via Dashboard > Pages & Themes > Attributes):
 *
 * 1) Handle: exclude_nav
 *    (This is the "Exclude From Nav" attribute that comes pre-installed with concrete5, so you do not need to add it yourself.)
 *    Functionality: If a page has this checked, it will not be included in the nav menu (and neither will its children / sub-pages).
 *
 * 2) Handle: exclude_subpages_from_nav
 *    Type: Checkbox
 *    Functionality: If a page has this checked, all of that pages children (sub-pages) will be excluded from the nav menu (but the page itself will be included).
 *
 * 3) Handle: replace_link_with_first_in_nav
 *    Type: Checkbox
 *    Functionality: If a page has this checked, clicking on it in the nav menu will go to its first child (sub-page) instead.
 *
 * 4) Handle: nav_item_class
 *    Type: Text
 *    Functionality: Whatever is entered into this textbox will be outputted as an additional CSS class for that page's nav item (NOTE: you must un-comment the "$ni->attrClass" code block in the CSS section below for this to work).
 */

/*** STEP 1 of 2: Determine all CSS classes (only 2 are enabled by default, but you can un-comment other ones or add your own) ***/
foreach ($navItems as $ni) {
	$classes = array();

	if ($ni->isCurrent) {
		//class for the page currently being viewed
		$classes[] = 'nav-selected';
	}

	if ($ni->inPath) {
		//class for parent items of the page currently being viewed
		$classes[] = 'nav-path-selected';
	}

	// If external link
	if ( $ni->isExternalLink == 1 ) {
		$classes[] = 'extlink';
	}

	// If item is top level
	if ( $ni->level == 1 ) {
		$classes[] = 'top-level-nav';
	}

	if ($ni->isFirst) {
		//class for the first item in each menu section (first top-level item, and first item of each dropdown sub-menu)
		$classes[] = 'first';
	}

	/*
	if ($ni->isLast) {
		//class for the last item in each menu section (last top-level item, and last item of each dropdown sub-menu)
		$classes[] = 'nav-last';
	}
	*/

	/*
	if ($ni->hasSubmenu) {
		//class for items that have dropdown sub-menus
		$classes[] = 'nav-dropdown';
	}
	*/

	/*
	if (!empty($ni->attrClass)) {
		//class that can be set by end-user via the 'nav_item_class' custom page attribute
		$classes[] = $ni->attrClass;
	}
	*/

	/*
	if ($ni->isHome) {
		//home page
		$classes[] = 'nav-home';
	}
	*/

	//unique class for every single menu item
	$classes[] = 'pl-' . $ni->cID;

	//Put all classes together into one space-separated string
	$ni->classes = implode(" ", $classes);
}

if ( $skin_type == 'custom' ) {
	$skin = 'custom';
}

if ( $responsivesupport ) {
	$responsiveclass = 'responsive';
}
	
//*** Step 2 of 2: Output menu HTML ***/
echo "<div class=\"jbmm {$skin} {$responsiveclass}\">";
echo "<ul id=\"mega-menuh-{$bID}\" class=\"nav mega-menuh\" style=\"display:none;\">"; //opens the top-level menu
ob_start();
$area_set = $controller->getAreaSet();
$areaIDs = array();
if ( !empty($area_set) ) {
	foreach ( $area_set as $area ) {
		$areaIDs[] = $area['areaParentMenu'];
	}
}

foreach ($navItems as $ni) {

	echo '<li class="' . $ni->classes . '">'; //opens a nav item

	if ( $ni->isPageLinked ) {
		echo '<a href="' . $ni->url . '" target="' . $ni->target . '" class="' . $ni->classes . '" accesskey="'.$ni->accesskey.'">' . $ni->name . '</a>';
	} else {
		echo '<a href="#" class="' . $ni->classes . '" accesskey="'.$ni->accesskey.'">' . $ni->name . '</a>';
	}

	if ( $ni->hasSubmenu ) {
		echo '<ul class="sub_menu pid-'.$ni->cID.'">'; //opens a dropdown sub-menu
	} elseif ( in_array($ni->cID, $areaIDs) ) {
		echo '<ul class="sub_menu pid-'.$ni->cID.'"></ul>'; //opens a dropdown sub-menu
	} else {
		echo '</li>'; //closes a nav item
		echo str_repeat('</ul></li>', $ni->subDepth); //closes dropdown sub-menu(s) and their top-level nav item(s)
	}
}

//search tool
if ($controller->add_search){
	$btSearch = BlockType::getByHandle('search');
	if ($btSearch){
		echo "<li class='top-level-nav spec-search'><a href='javascript:void(0)'><img src='".$this->getBlockURL()."/images/search.png'></a><ul class='sub_menu defaulttxt'>";
		$btSearch->controller->buttonText = 'Go';
		$btSearch->controller->resultsURL = '/search/search-results';
		$btSearch->controller->baseSearchPath = '';
		$btSearch->render('templates/search_form_only_mega'); //custom block template
		echo "</ul></li>";
	}
}

/////////////////////// - start of customisable area
// developers, add a custom "manual" link at the END of the menu by uncommenting the line below. Just add your own HTML/PHP code instead.
//echo "<li class='top-level-nav custom-2'><a href='javascript:void(0)'>Manual link</a><ul class='sub_menu'>Content goes here...</ul></li>";
/////////////////////// - end of customisable area

$navcontent=ob_get_contents();
ob_end_clean();
echo $navcontent;
echo '</ul></div>'; //closes the top-level menu
if($enableHamburgerSupport){
	echo '<div id="mmhamburger" ><div class="jbmm"><ul id="mega-menuhh-'.$bID.'" class="nav mega-menuh">'.$navcontent.'</ul></div></div>';
}
	
	$prejs = '';
	$postjs = '';
	
	if ($controller->keyboardnav) {
		// $outputjs .= '$.keyTips({debug:true});';
		$outputjs .= '$.keyTips({});';
	}

	if ( !empty($area_set) ) {
		$initializedMenu = array();
		foreach ( $area_set as $area ) {
			// If containing areas aren't initialized yet, set it up.
			if ( !in_array($area['areaParentMenu'],$initializedMenu) ) {
				$prejs .= "if($('ul#mega-menuh-".$bID." ul.pid-{$area['areaParentMenu']}').length == 0){";
				$prejs .= "$('ul#mega-menuh-".$bID." .il-{$area['areaParentMenu']}').append('<ul class=\"pid-{$area['areaParentMenu']} linkless\"><li></li></ul>');";
				$prejs .= '}';

				$initializedMenu[] = $area['areaParentMenu'];
				$postjs .= $controller->initArea($area['areaParentMenu']);
				// This needs to override the current placement of elements
				// in order for the area to align properly.
				$postjs .= "$('ul#mega-menuh-".$bID." ul.pid-{$area['areaParentMenu']}').attr('style','float:left !important;padding:0;');";
				// $outputjs .= "$('ul.pid-{$area['areaParentMenu']}').parent().addClass('widgetized')";
			}

			$postjs .= $controller->generateBlock($area['areaParentMenu'],$area['areaContainer'],$area['areaPosition']);
		}
	}
	
	// $outputjs .= $controller->generateBlock('.pid-118','Side Nav','prepend','top');

	/////////////////////// - start of customisable area
	//add any custom blocks from scrapbook/stack here eith BEFORE or AFTER an existing menu element (UL or LI). Please note, no "script" tags allowed to ensure valid HTML.
	//eg. $outputjs .= $controller->getBlockFromScrapbookAfter('.pid-5','myscrapbookitem');
	//eg. $outputjs .= $controller->getBlockFromScrapbookBefore('.pid-5','myscrapbookitem');
	/////////////////////// - end of customisable area
	$outputjs .= $prejs;
	if($enableHamburgerSupport){/*
		$outputjs .= "$('#mega-menuhh-". $bID . "').fadeIn('fast');
	$('#mega-menuhh-". $bID . "').dcMegaMenu({
		rowItems: '" . $controller->rowitems . "',
		speed: " . (is_numeric($controller->speed) ? $controller->speed : "'".$controller->speed."'") . ",
		effect: '" .$controller->effect . "',
		event: Modernizr.touch ? 'click' : '" . $controller->mouseevent . "',
		navigateOnCollapse: Modernizr.touch ? true : '" . $controller->navigate_on_collapse . "',
		direction: '" . $controller->dropdown_direction . "',
		fullWidth: ". ($controller->full_width == 0 ? 'false' : 'true') ."
	});\n$('#mega-menuhh-". $bID . " .sub-container').hide();\n";
	*/}
	$outputjs .= "$('#mega-menuh-". $bID . "').fadeIn('fast');
	$('#mega-menuh-". $bID . "').dcMegaMenu({
		rowItems: '" . $controller->rowitems . "',
		speed: " . (is_numeric($controller->speed) ? $controller->speed : "'".$controller->speed."'") . ",
		effect: '" .$controller->effect . "',
		event: Modernizr.touch ? 'click' : '" . $controller->mouseevent . "',
		navigateOnCollapse: Modernizr.touch ? true : '" . $controller->navigate_on_collapse . "',
		direction: '" . $controller->dropdown_direction . "',
		fullWidth: ". ($controller->full_width == 0 ? 'false' : 'true') ."
	});\n$('#mega-menuh-". $bID . " .sub-container').hide();\n";
	$outputjs .= $postjs;
?>

<!-- <script type="text/javascript" src="https://www.google.com/jsapi"></script> -->
<script type="text/javascript">
<?php  if ( $font_type == 3 ): ?>
<?php  //elseif ( $font_type == 2 || $font_type == 1): 
?>
<?php  elseif ( $font_type == 2): ?>
      WebFontConfig = {
        google: { families: [ '<?php  echo $font_family; ?>' ] },
        active: function() {
        	<?php  echo $outputjs; ?>
		}
      };
      (function() {
        var wf = document.createElement('script');
        wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
            '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        wf.type = 'text/javascript';
        wf.async = 'true';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(wf, s);
      })();
<?php  else: ?>
$(window).load(function() {
	<?php  echo $outputjs; ?>
});
<?php  endif; ?>
</script>
<?php  endif; ?>
   <?php 
 if($enableHamburgerSupport){
	if ( $hamburgerIconAnimation=='slide_left') {
	$iconHtml='<div id="nav-icon1" class="mmtoggle-button '.$hamburgerSize.'"><span></span><span></span><span></span></div>';			
			}elseif ( $hamburgerIconAnimation=='slide_in') {
	$iconHtml='<div id="nav-icon2" class="mmtoggle-button '.$hamburgerSize.'"><span></span><span></span><span></span><span></span><span></span><span></span></div>';		
			}elseif ( $hamburgerIconAnimation=='morph') {
	$iconHtml='<div id="nav-icon3" class="mmtoggle-button '.$hamburgerSize.'"><span></span><span></span><span></span><span></span></div>';			
			}elseif($hamburgerIconAnimationfID>0 && is_object(File::getByID($hamburgerIconAnimationfID))){
	$iconHtml='<div id="nav-icon5" class="mmtoggle-button '.$hamburgerSize.'"><img src="'.File::getByID($hamburgerIconAnimationfID)->getRelativePath().'" style="max-width:100%" /></div>';			
			}
	
	?>
    <script type="text/javascript">
$(window).load(function(){
		if(!CCM_EDIT_MODE  ){
		$('body').prepend('<?php echo $iconHtml ?>');
		$("body").wrapInner('<div id="mmpanel"></div>');
		$('#mmhamburger').prependTo($('body'));
		if($('#ccm-page-controls-wrapper').length){
			$('#ccm-page-controls-wrapper').appendTo($('body'));
		}
		if($("body").css("background-color")!=''){
			//if($.trim($("body").css("background-color"))=='rgba(0, 0, 0, 0)' && 1==parseInt(<?php echo $disabletransparency?0:1; ?>))
			if(1==parseInt(<?php echo $controller->disabletransparency?1:0; ?>))
			{
				//$("#mmpanel").css("background-color",$("body").css("background-color"));
			}else{
				$("#mmpanel").css("opacity",1); //force background to be opaque
				$("#mmpanel").css("background-color",'#ffffff');
			}
		}
		var slideoutMM = new SlideoutMM({
        'panel': document.getElementById('mmpanel'),
        'menu': document.getElementById('mmhamburger'),
        'padding': 256,
        'tolerance': 100,
		'side':'<?php echo $hamburgerSide ?>'
      });

      // Toggle button
      document.querySelector('.mmtoggle-button').addEventListener('click', function() {
        slideoutMM.toggle();
      });
      
      slideoutMM.on('translatestart', function() {
  		//animate hamburger
		$("#nav-icon1,#nav-icon2,#nav-icon3,#nav-icon4" ).toggleClass('mmopen');
		});
		
		}
	});
	</script>
<?php 
}?>